#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=multipledispatch
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy='127.0.0.1:9'
override_dh_auto_build: export https_proxy='127.0.0.1:9'
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_installdocs:
	dh_installdocs --package=python-multipledispatch-doc --doc-main-package=python3-multipledispatch
	dh_installdocs --remaining-packages

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build
